import { ViewBase } from '../../libappbase/viewbase';
import { AppMP } from '../appmp';
import { FormScenarioAnalysisBottleneckResources } from '../forms/form.scenarioanalysis.bottleneckresources';

/**
 * Scenario Analysis > Bottleneck Resources
 */
export class ViewScenarioAnalysisBottleneckResources extends ViewBase {
  public readonly name = 'Bottleneck resources';
  public readonly viewPath = 'Scenario Analysis > Bottleneck Resources';

  public frmScenarioAnalysisBottleneckResources = new FormScenarioAnalysisBottleneckResources();

  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    await appMP.abpScenarioAnalysis.click();
    await appMP.abpScenarioAnalysis.btnBottleneckResources.click();
    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.frmScenarioAnalysisBottleneckResources.waitUntilPresent();
  }
}
